Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ca.runner
Class BasicCARunner

    java.lang.Object
      org.encog.ca.runner.BasicCARunner

All Implemented Interfaces:
  Runnable, CARunner

    public class BasicCARunner

extends Object
implements CARunner, Runnable

Constructor Summary
`BasicCARunner(Universe theUniverse, CAProgram thePhysics)`

Method Summary
`void` | `addListener(UniverseListener listener)`
`CAProgram` | `getPhysics()`
`double` | `getScore()`
`Universe` | `getUniverse()`
`void` | `init(Universe theUniverse, CAProgram thePhysics)`
`boolean` | `isRunning()`
`void` | `iteration()`
`void` | `reset()`
`void` | `run()`
`int` | `runToConverge(int maxIterations)`
`int` | `runToConverge(int i, double desiredScore)`
`void` | `start()`
`void` | `stop()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicCARunner

    public BasicCARunner(Universe theUniverse,
                         CAProgram thePhysics)

Method Detail

### init

    public void init(Universe theUniverse,
                     CAProgram thePhysics)

  Specified by:
    `init` in interface `CARunner`

### addListener

    public void addListener(UniverseListener listener)

  Specified by:
    `addListener` in interface `CARunner`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### iteration

    public void iteration()

  Specified by:
    `iteration` in interface `CARunner`

### start

    public void start()

  Specified by:
    `start` in interface `CARunner`

### stop

    public void stop()

  Specified by:
    `stop` in interface `CARunner`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### reset

    public void reset()

  Specified by:
    `reset` in interface `CARunner`

### runToConverge

    public int runToConverge(int maxIterations)

### isRunning

    public boolean isRunning()

  Specified by:
    `isRunning` in interface `CARunner`

### getUniverse

    public Universe getUniverse()

  Specified by:
    `getUniverse` in interface `CARunner`

### getPhysics

    public CAProgram getPhysics()

  Specified by:
    `getPhysics` in interface `CARunner`

### runToConverge

    public int runToConverge(int i,
                             double desiredScore)

  Specified by:
    `runToConverge` in interface `CARunner`

### getScore

    public double getScore()

  Specified by:
    `getScore` in interface `CARunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.